URL structure
{itemId} is the ID of a file object/Secure Object or folder/collection.
Supported methods and overview
DELETE- used to allow a Covata user (whose access token is submitted in the request to this endpoint) to remove themselves as a collaborator from a file object/Secure Object or folder/collection (i.e. item), specified byitemId.
This method takes no parameters.
Detailed description
This API endpoint allows a Covata user (whose access token is submitted in the request to this endpoint) to remove themselves as a collaborator from either a file object or folder, specified byitemId.
The item’s ID can be obtained by calling the <access-service>/api/v1/organisations/{orgId}/items API endpoint, which retrieves a list of information associated with the file objects and folders that can be filtered using various ‘search’ criteria.
If the item’s ID is that of a folder, then this user (whose access token is submitted in the request) is removed from all items contained within this folder.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide):- Originator, Collaborator and Ad hoc - when this user is a collaborator on the item whose ID is specified by
{itemId}in the URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
